Difference between revisions of "Talk:Ubuntu Precise Installation Guide"

From cchtml.com
Jump to: navigation, search
(Precise got an update to 9.000 !: new section)
 
(3 intermediate revisions by 3 users not shown)
Line 1: Line 1:
could you guys change the font for command line examples? it's very hard to differentiate between letter L and number 1
+
{{Talkpages}}
 +
 
 +
Could you guys change the font for command line examples? It's very hard to differentiate between letter L and number 1
 
That's why you copy and paste to ensure command correctness ;) --[[User:Dtl131|Dtl131]] 23:33, 27 August 2012 (UTC)
 
That's why you copy and paste to ensure command correctness ;) --[[User:Dtl131|Dtl131]] 23:33, 27 August 2012 (UTC)
  
 
This page needs some formatting help, but I'm out of time tonight. --[[User:Dtl131|Dtl131]] 23:33, 27 August 2012 (UTC)
 
This page needs some formatting help, but I'm out of time tonight. --[[User:Dtl131|Dtl131]] 23:33, 27 August 2012 (UTC)
 +
 +
== creating deb packages error  ==
 +
 +
Since 12.11 resp. 13.1 creating deb package gives an error. The reason for the error is a typo in the rules file of the driver. Here is a possible solution done on Ubuntu 12.04. For other distro versions go to the corresponding folder of the extracted driver (see below):
 +
 +
Go to the directory where you downloaded the driver. Extract the driver to e.g. "~/AMD_v13.1" directory
 +
<pre>$sudo sh ./amd-driver-installer-catalyst-13.1-beta11-x86.x86_64.run --extract ~/AMD_v13.1
 +
</pre>
 +
Go to the directory AMD_v13.1
 +
<pre> cd ~/AMD_v13.1
 +
</pre>
 +
Go to the directory of your Ubuntu distro with the "rules" file and make a copy. Here for Ubuntu 12.04 precise.
 +
<pre>
 +
$ cd packages/Ubuntu/dists/precise
 +
$ sudo cp rules rules.bak
 +
</pre>
 +
Open "rules" with writing privileges, e.g.
 +
<pre>sudo gedit rules
 +
</pre>
 +
Look for the line number 242 (or for the line which reads "dh_install -p$(PKG_driver) "arch/x86_64/usr/share/ati/lib" "$(datadir)/ati". Change the entry of that line from "...arch/x86_64/usr..." to ".../arch/x86/usr...". Save the file and build the packages (this will place the packages in the parent directory)
 +
<pre>$ cd ~/AMD_v13.1
 +
$./amd-installer.sh 9000 --buildpkg Ubuntu/precise
 +
</pre>
 +
 +
== Precise got an update to 9.000 ! ==
 +
 +
'''Package:''' fglrx-updates
 +
Versions:
 +
2:9.000-0ubuntu0.1 (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_binary-amd64_Packages) (/var/lib/dpkg/status)

Latest revision as of 05:28, 3 February 2013

TALK PAGES ARE NOT SUPPORT FORUMS

If you require help with installing the AMD fglrx driver, please consider a web forum or mailing list.

Could you guys change the font for command line examples? It's very hard to differentiate between letter L and number 1 That's why you copy and paste to ensure command correctness ;) --Dtl131 23:33, 27 August 2012 (UTC)

This page needs some formatting help, but I'm out of time tonight. --Dtl131 23:33, 27 August 2012 (UTC)

[edit] creating deb packages error

Since 12.11 resp. 13.1 creating deb package gives an error. The reason for the error is a typo in the rules file of the driver. Here is a possible solution done on Ubuntu 12.04. For other distro versions go to the corresponding folder of the extracted driver (see below):

Go to the directory where you downloaded the driver. Extract the driver to e.g. "~/AMD_v13.1" directory

$sudo sh ./amd-driver-installer-catalyst-13.1-beta11-x86.x86_64.run --extract ~/AMD_v13.1

Go to the directory AMD_v13.1

 cd ~/AMD_v13.1

Go to the directory of your Ubuntu distro with the "rules" file and make a copy. Here for Ubuntu 12.04 precise.

$ cd packages/Ubuntu/dists/precise
$ sudo cp rules rules.bak

Open "rules" with writing privileges, e.g.

sudo gedit rules

Look for the line number 242 (or for the line which reads "dh_install -p$(PKG_driver) "arch/x86_64/usr/share/ati/lib" "$(datadir)/ati". Change the entry of that line from "...arch/x86_64/usr..." to ".../arch/x86/usr...". Save the file and build the packages (this will place the packages in the parent directory)

$ cd ~/AMD_v13.1
$./amd-installer.sh 9000 --buildpkg Ubuntu/precise

[edit] Precise got an update to 9.000 !

Package: fglrx-updates Versions: 2:9.000-0ubuntu0.1 (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_binary-amd64_Packages) (/var/lib/dpkg/status)